Page MenuHomePhabricator

Next button is missing in UploadWizard after revert to 1.25wmf14
Closed, ResolvedPublic

Description

UploadWizard has stopped working completely since 4 February 2015: see https://commons.wikimedia.org/wiki/Commons:Village_pump#Upload_wizard_not_working. I tried using it on the current versions of Mozilla Firefox and Google Chrome, and got the same problem. After the window allowing one to choose files to upload has been closed, the files selected do not actually upload. The filenames are displayed on the screen, but nothing happens at all -- there are no throbbers, and no "Next" button.

Event Timeline

Smuconlaw created this task.Feb 4 2015, 5:03 PM
Smuconlaw raised the priority of this task from to Unbreak Now!.
Smuconlaw updated the task description. (Show Details)
Smuconlaw added a subscriber: Smuconlaw.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 4 2015, 5:03 PM
Steinsplitter set Security to None.
Restricted Application added a project: Multimedia. · View Herald TranscriptFeb 4 2015, 5:11 PM

Here's what my Firefox web console reports:

"Storage error" load.php:150
"[Exception... "Out of Memory" nsresult: "0x8007000e (NS_ERROR_OUT_OF_MEMORY)" location: "JS frame :: https://bits.wikimedia.org/commons.wikimedia.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20150204T101420Z :: flush :: line 174" data: no]" Exception { message: "", result: 2147942414, name: "NS_ERROR_OUT_OF_MEMORY", filename: "https://bits.wikimedia.org/commons.wikimedia.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20150204T101420Z", lineNumber: 174, columnNumber: 0, inner: null, data: null, stack: "flush@https://bits.wikimedia.org/commons.wikimedia.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20150204T101420Z:174:205
" } load.php:150

TypeError: wizard.steps.file.maybeStartProgressBar is not a function load.php:67

RobLa-WMF added a subscriber: RobLa-WMF.

Mark made us aware of this in our status meeting this morning. He's on it; he'll likely need some help debugging this, since ResourceLoader may be involved.

Tgr renamed this task from UploadWizard broken to Next button is missing in UploadWizard after revert to wmf15.Feb 4 2015, 6:25 PM
RobLa-WMF renamed this task from Next button is missing in UploadWizard after revert to wmf15 to Next button is missing in UploadWizard after revert to 1.25wmf14.Feb 4 2015, 6:26 PM
Tgr added a subscriber: Tgr.Feb 4 2015, 6:27 PM

The number of people getting through the file select step starts dropping at 10 AM UTC:

mysql:research@analytics-store.eqiad.wmnet [log]> select substr(timestamp, 1, 10) hour, count(*) cnt from UploadWizardStep_8851805 where substr(timestamp, 1, 10) > '2015020400' and event_step = 'deeds' group by hour asc;
+------------+-----+
| hour       | cnt |
+------------+-----+
| 2015020401 |  48 |
| 2015020402 |  58 |
| 2015020403 |  39 |
| 2015020404 |  48 |
| 2015020405 |  61 |
| 2015020406 |  48 |
| 2015020407 |  73 |
| 2015020408 |  52 |
| 2015020409 |  68 |
| 2015020410 |  37 |
| 2015020411 |  19 |
| 2015020412 |  13 |
| 2015020413 |  17 |
| 2015020414 |  19 |
| 2015020415 |   9 |
| 2015020416 |  21 |
| 2015020417 |  55 |
| 2015020418 |  16 |
+------------+-----+
18 rows in set (1.98 sec)

which is the exact same time wmf15 was rolled back due to T88528.

MarkTraceur moved this task from Untriaged to Next up on the Multimedia board.Feb 4 2015, 6:29 PM
MarkTraceur closed this task as Resolved.Feb 4 2015, 6:30 PM

Seems to be resolved on Commons now according to Dragonfly67, but keep an eye out for further troubles.

For the record, I touched every JS file in UploadWizard, and the UploadWizardHooks.php file, and then I synced the whole UW directory. Not exactly the most surgical of solutions.

Tgr renamed this task from Next button is missing in UploadWizard after revert to 1.25wmf14 to Next button is missing in UploadWizard after revert to 1.25wmf15.Feb 4 2015, 6:32 PM
Tgr renamed this task from Next button is missing in UploadWizard after revert to 1.25wmf15 to Next button is missing in UploadWizard after revert to 1.25wmf14.Feb 4 2015, 6:34 PM

After a few false starts (file selection window did not show thumbnails; selecting a file had no effect at all; Firefox crashed) and purging of the cache, UploadWizard seems to be working again. Thanks.

Krinkle added a subscriber: Krinkle.Feb 6 2015, 6:58 AM
PeterEasthope added a subscriber: PeterEasthope.EditedSep 27 2018, 10:14 PM

Here the upload Wizard fails at Next when invoked in Debian 9 with firefox-esr 60.2.1esr-1~deb9u1. Regards, ... Peter E.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSep 27 2018, 10:14 PM

@PeterEasthope: The problem in this task has been fixed in 2015. If there is a new problem in 2018, please create a new task by following https://www.mediawiki.org/wiki/How_to_report_a_bug (or maybe see T205636 instead if that is what you experience. Depends on what "fails" means). Thanks!